<?php
 
/*
Plugin Name: Nofollow Reciprocity
Plugin URI: http://www.inverudio.com/programs/WordPressBlog/NofollowReciprocity.php
Description: Adds rel='nofollow' to links on your blog pointing to large sites (Wikipedia.org, StumbleUpon.com, and other top 1000 sites from Quantcast.com). 
Author: Lazar Kovacevic
Version: 3.5
Author URI: http://www.inverudio.com/
*/


/* Based on:

Plugin Name: Wikipedia nofollow
Plugin URI: http://whatjapanthinks.com/wikipedia-nofollow/
Description: Searches for links to Wikipedia.org, and adds a rel="nofollow" tag if necessary
Author: Ken Yasumoto-Nicolson (based on Identify External Links by Mark Jaquith)
Version: 1.0
Author URI: http://whatjapanthinks.com


Plugin Name: Identify External Links
Plugin URI: http://txfx.net/code/wordpress/identify-external-links/
Description: Searches the text for links outside of the domain of the blog. To these, it adds 'class="extlink"' (and optionally, 'target="_blank"').
Author: Mark Jaquith
Version: 1.3
Author URI: http://txfx.net/
*/

/*	Copyright 2005	Mark Jaquith (email: mark.gpl@txfx.net)
   Additional changes Copyright 2007 Ken Yasumoto-Nicolson (email: seron@whatjapanthinks.com)

	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

global $wp_nr_footer_link, $wp_nr_nf_a, $wp_nr_nf_t, $wp_nr_content, $wp_nr_comments, $wp_nr_authors;

if(get_option('wp_nr_awareness'))$wp_nr_footer_link = 1;
else $wp_nr_footer_link = 0;

if(get_option('wp_nr_content'))$wp_nr_content = 1;
else $wp_nr_content = 0;

if(get_option('wp_nr_comments'))$wp_nr_comments = 1;
else $wp_nr_comments = 0;

if(get_option('wp_nr_authors'))$wp_nr_authors = 1;
else $wp_nr_authors = 0;

if(get_option('wp_nr_nf_t'))$wp_nr_nf_t = get_option('wp_nr_nf_t');
else $wp_nr_nf_t = 'Improve the web with Nofollow Reciprocity.';

if(get_option('wp_nr_nf_a'))$wp_nr_nf_a = ' rel="nofollow" ';
else $wp_nr_nf_a = '';

$wp_nr_initial = "123greetings.com
1ink.com
247wallst.com
2plus2media.com
411.com
4chan.org
4shared.com
5earch.com
6pm.com
800notes.com
9gag.com
9news.com
aa.com
aaa.com
aarp.org
abebooks.com
about.com
accuweather.com
ad-serverparc.nl
adaptu.com
addictinggames.com
adobe.com
adp.com
aetv.com
al.com
alexa.com
alibaba.com
all-allergies.com
allexperts.com
allmenus.com
allposters.com
allrecipes.com
amazon.co.uk
amazon.com
amctheatres.com
americanexpress.com
americangreetings.com
americantowns.com
ancestry.com
android.com
androidcentral.com
androidforums.com
angelfire.com
angieslist.com
answerbag.com
answers.com
anywho.com
aol.com
apartmenttherapy.com
apple.com
apples4theteacher.com
archive.org
areaconnect.com
arizona.edu
army.mil
ask.com
askmen.com
att.com
autoblog.com
autopartswarehouse.com
autotrader.com
autozone.com
avast.com
azcentral.com
azlyrics.com
babble.com
babiesrus.com
babycenter.com
babylon.com
backpage.com
bandcamp.com
bankofamerica.com
bankrate.com
barackobama.com
barnesandnoble.com
basspro.com
bathandbodyworks.com
bbc.co.uk
bbt.com
bearshare.com
beautyoftheweb.com
become.com
bedbathandbeyond.com
bestbuy.com
bestbuyon.com
bestmomstv.com
bettycrocker.com
beyonddiet.com
bhphotovideo.com
bible.cc
biblegateway.com
bid-tag.com
bigfishgames.com
biglots.com
billboard.com
billmelater.com
bing.com
bing.net
biography.com
bizrate.com
bleacherreport.com
blinkx.com
blockbuster.com
blogger.com
blogspot.com
blogtalkradio.com
bloomberg.com
bluemountain.com
blurtit.com
bodybuilding.com
booking.com
bookingbuddy.com
bookrags.com
boston.com
bostonherald.com
brainyquote.com
bravotv.com
break.com
breakmedia.com
britannica.com
brothersoft.com
bsftransmit1.com
businessinsider.com
buy.com
buycheapr.com
buzzfeed.com
buzzle.com
buzznet.com
ca.gov
cabelas.com
cafemom.com
cafepress.com
calottery.com
candofinance.com
canon.com
capitalone.com
capoliticalnews.com
cardomain.com
care2.com
careerbuilder.com
caringbridge.org
carocean.co.uk
cars-trucks-minivans.com
cars.com
causes.com
cbs.com
cbsnews.com
cbssports.com
cdc.gov
cduniverse.com
celebrity-gossip.net
celebspin.com
celebuzz.com
chacha.com
charter.net
chase.com
chasebonus.com
cheapflights.com
cheapoair.com
cheatcc.com
cheetahmail.com
cheezburger.com
chicagotribune.com
chinaflix.com
chinaontv.com
choicehotels.com
chow.com
christianbook.com
christianpost.com
cinemablend.com
cisco.com
citi.com
citibank.com
city-data.com
citysearch.com
classesusa.com
classifiedads.com
classmates.com
cleveland.com
cmt.com
cnbc.com
cnet.com
cnn.com
collegeconfidential.com
collegehumor.com
comcast.com
comcast.net
comedycentral.com
complex.com
consumerautosource.com
consumerproductsdigest.org
consumerreports.org
consumersearch.com
contactmusic.com
cooks.com
coolmath-games.com
coolmath.com
coolmath4kids.com
costco.com
cotssl.net
coupons.com
coveritlive.com
cox.net
cracked.com
craigslist.ca
craigslist.org
creditkarma.com
csmonitor.com
curse.com
cvs.com
cxense.com
daily-spots.com
dailycaller.com
dailykos.com
dailymail.co.uk
dailymotion.com
damnlol.com
deadline.com
deadspin.com
dealtime.com
dealwebs.com
deliciousfit.com
dell.com
delta.com
deviantart.com
dfas.mil
dickssportinggoods.com
digg.com
directv.com
discover.com
discoverbing.com
discovercard.com
discovery.com
discoverymedia.com
dishnetwork.com
docstoc.com
doctoroz.com
dogpile.com
dogsinduds.com
domaingateway.com
download-free.com
downlopedia.com
drudgereport.com
drugs.com
drugstore.com
dt07.net
dummies.com
ea.com
earthlink.net
easybib.com
eatingwell.com
eatoutpaylessonline.com
eatstaydrink.com
ebaumsworld.com
ebay.com
ebayclassifieds.com
economist.com
ed.gov
edmodo.com
edmunds.com
education.com
egain.net
eharmony.com
ehosts.net
ehow.com
electricmustache.com
elyrics.net
emedtv.com
encyclopedia.com
endless.com
enotes.com
eonline.com
epicurious.com
etsy.com
eventful.com
everydayhealth.com
evite.com
ew.com
examiner.com
expedia.com
experian.com
experienceproject.com
expotv.com
expressnightout.com
ezinearticles.com
facebook.com
failblog.org
familybuilder.com
familyhandyman.com
fandango.com
fanpop.com
fantage.com
farlex.com
fedex.com
fi.com
fidelity.com
filehippo.com
filestube.com
filmannex.com
findagrave.com
findlaw.com
findtherightjob.com
fingerhut.com
fixya.com
flickr.com
flixxy.com
fly.com
fold3.com
food.com
foodnetwork.com
fool.com
forbes.com
ford.com
formspring.me
fotosearch.com
foxbusiness.com
foxnews.com
foxsports.com
foxtab.com
freecause.com
freegametopia.com
freegamewall.com
freeridegames.com
freescore360.com
freewebs.com
freeze.com
ft.com
funbrain.com
fundsxpress.com
fundwiser.com
funnyordie.com
g4tv.com
gamefaqs.com
gamehouse.com
gamenutt.com
gamerdna.com
gamespot.com
gamestop.com
gametrailers.com
gap.com
gardenweb.com
gateway.com
gather.com
gawker.com
geico.com
gevalia.com
github.com
gizmodo.com
glassdoor.com
globalgrind.com
go-downloads.com
go.com
godaddy.com
godvine.com
gofree.com
gogecapital.com
goodreads.com
google.ca
google.com
gorillaleak.com
gossipcenter.com
govdelivery.com
greatschools.org
grindtv.com
groupon.com
guardian.co.uk
guidetoaffordableinsurance.com
gunbroker.com
gunsamerica.com
hallmark.com
hark.com
harvard.edu
health.com
healthcentral.com
healthgrades.com
heritage.org
hgtv.com
hiexpress.com
hilton.com
history.com
hlifestyles.com
hobbylobby.com
holidayinn.com
hollyscoop.com
hollywood.com
hollywoodlife.com
hollywoodreporter.com
homedepot.com
homemadeenergy.org
homes.com
hometownlocator.com
honda.com
hostgator.com
hotels.com
hotpads.com
hotwire.com
house.gov
houzz.com
howstuffworks.com
hp.com
hrblock.com
hsbcbillpay.com
hsbccreditcard.com
hsn.com
hubpages.com
huffingtonpost.com
hulkshare.com
hulu.com
ibpxl.com
ibtimes.com
icanhascheezburger.com
icontact.com
ifood.tv
ign.com
ikea.com
imagebam.com
imageshack.us
imagevenue.com
imdb.com
imesh.com
imgur.com
imvu.com
in.gov
inbox.com
inc.com
indeed.com
indiatimes.com
info.com
infoplease.com
ingdirect.com
installiq.com
instantcheckmate.com
instructables.com
instyle.com
intelius.com
intellicast.com
intuit.com
investopedia.com
io9.com
ioffer.com
iplay.com
irs.gov
isi.org
issuu.com
ivillage.com
iwon.com
izito.com
jalopnik.com
jcpenney.com
jezebel.com
joann.com
job.com
jobamatic.com
jobsonline.net
justanswer.com
justfab.com
justin.tv
kaiax.com
kaiserpermanente.org
kansascity.com
kayak.com
kbb.com
kickstarter.com
kidshealth.org
killerstartups.com
king.com
kioskea.net
kmart.com
knowyourmeme.com
kodak.com
kodakgallery.com
kohls.com
komonews.com
koonzie.com
kotaku.com
ladyshopspot.com
lanebryant.com
last.fm
latimes.com
legacy.com
lg.com
lifehacker.com
lifescript.com
linkedin.com
listal.com
live.com
livejournal.com
liveleak.com
livemixtapes.com
livepromotools.com
livescience.com
livestream.com
livestrong.com
llbean.com
loc.gov
local.com
localguides.com
logitech.com
lovablestyles.com
lowermybills.com
lowes.com
loyalvisitorrewards.com
lumosity.com
lycos.com
lyricsmode.com
macrumors.com
macys.com
mademan.com
maniatv.com
manta.com
mapquest.com
marriott.com
mashable.com
match.com
mayoclinic.com
mcafee.com
me.com
medhelp.org
medicinenet.com
medscape.com
meetup.com
memebase.com
menshealth.com
menshealthbase.com
menupages.com
mercola.com
mercurynews.com
merriam-webster.com
metacafe.com
metafilter.com
metrolyrics.com
mgid.com
miamiherald.com
michaels.com
michigan.gov
microsoft.com
microsofttranslator.com
military.com
minecraftforum.net
miniclip.com
mlb.com
mlive.com
modcloth.com
mommymixing.com
momswhothink.com
monster.com
motortrend.com
moviefone.com
movieroomreviews.com
movietickets.com
mozilla.net
mozilla.org
mrmovietimes.com
msecnd.net
msn.com
mtv.com
mtvi.com
multiview.com
music-oasis.com
mycokerewards.com
mydesert.com
myfriendsgreetings.com
myheritage.com
mylife.com
mylifetime.com
mypodstudios.com
myrecipes.com
myspace.com
mytopfreegames.com
myway.com
mywebgrocer.com
mywebsearch.com
myyearbook.com
nasa.gov
nascar.com
nationalgeographic.com
naturalnews.com
nba.com
nbc.com
netflix.com
netlog.com
newcouponsfor.me
newegg.com
newsinc.com
newsmax.com
newsvine.com
nextag.com
nextel.com
nextinsure.com
nfl.com
nhl.com
nick.com
nickjr.com
nih.gov
ning.com
nj.com
nme.com
noaa.gov
nola.com
nomorerack.com
nordstrom.com
northerntool.com
norton.com
npr.org
nps.gov
nueview.com
nwsource.com
ny.gov
nydailynews.com
nymag.com
nypost.com
nytimes.com
ocregister.com
officedepot.com
officemax.com
ohio.gov
ojon.com
okcupid.com
oldfortyfives.com
on2url.com
oodle.com
ookla.com
opentable.com
oprah.com
optimum.net
oracle.com
orbitz.com
oregonlive.com
orientaltrading.com
ourstage.com
overstock.com
ovguide.com
pagesinxt.com
panoramio.com
papajohns.com
parenting.com
parentsconnect.com
patch.com
paypal.com
pbs.org
pbworks.com
pch.com
pcmag.com
pcworld.com
peekyou.com
people.com
peoplefinders.com
peoplestylewatch.com
perezhilton.com
petco.com
petfinder.com
pgatour.com
philly.com
photobucket.com
picnik.com
pillsbury.com
pinterest.com
pipl.com
pizzahut.com
placelocal.com
playlist.com
playpickle.com
pnc.com
pof.com
pogo.com
politico.com
popsugar.com
poptropica.com
popularscreensavers.com
post-gazette.com
posterous.com
potterybarn.com
powerball.com
priceline.com
primarygames.com
progressive.com
promosrv.com
pronto.com
psychologytoday.com
publicrecords.com
quizlet.com
qvc.com
radaronline.com
radio.com
radioshack.com
ranker.com
rapgenius.com
ratemyprofessors.com
real.com
realage.com
realclearpolitics.com
realsimple.com
realtor.com
recipehub.com
recordsbase.com
redbalcony.com
redbox.com
reddit.com
redorbit.com
reference.com
regions.com
rei.com
retailmenot.com
retrevo.com
reuters.com
reverbnation.com
revolutionarypolitics.tv
revolvermaps.com
ripoffreport.com
rivals.com
rollingstone.com
rottentomatoes.com
rr.com
rss2search.com
rt.com
rushlimbaugh.com
rxlist.com
sacbee.com
sahcdn.com
salary.com
salliemae.com
salon.com
sammsoft.com
samsclub.com
samsung.com
sbnation.com
sciencedaily.com
scout.com
scribd.com
searchmarketing.com
searchquotes.com
sears.com
secureinternetbank.com
seekingalpha.com
senate.gov
seniorpeoplemeet.com
sephora.com
servicemagic.com
sfgate.com
sharebuilder.com
sharecare.com
shmoop.com
sho.com
shockwave.com
shopping.com
shopstyle.com
shopwiki.com
shopyourwayrewards.com
shopzilla.com
shutterfly.com
shutterstock.com
sidereel.com
sign-in.at
silkroad.com
simon.com
simplyhired.com
simplyrecipes.com
sing365.com
skype.com
slashgear.com
slickdeals.net
slideshare.net
smarter.com
smartshopping.com
smilebox.com
smugmug.com
snagajob.com
snapfish.com
snopes.com
socialcodedev.com
socialsecurity.gov
socialsecuritydisabilitybenefits.co
sodahead.com
soft32.com
softonic.com
softpedia.com
someecards.com
songmeanings.net
sony.com
sonypictures.com
soundcloud.com
southwest.com
space.com
spanishdict.com
sparknotes.com
sparkpeople.com
speedtest.net
spellingcity.com
spike.com
spokeo.com
sportingnews.com
sportsmansguide.com
sprint.com
sprintpcs.com
squidoo.com
ssa.gov
stackexchange.com
stackoverflow.com
staples.com
starbucks.com
starpulse.com
startribune.com
state.gov
statefarm.com
stltoday.com
straightdope.com
straighttalk.com
stubhub.com
stylebistro.com
submitsecurity.com
suite101.com
suntimes.com
suntrust.com
supercheats.com
superpages.com
survivingcollege.com
swagbucks.com
switchboard.com
symantec.com
symptomfind.com
sytes.net
t-mobile.com
t.co
tagged.com
target.com
taringa.net
tasteofhome.com
techbargains.com
telegraph.co.uk
televisionfanatic.com
tellapal.com
theatlantic.com
theatlanticwire.com
theblaze.com
thecelebritycafe.com
thechive.com
thedailybeast.com
thedailyshow.com
thefind.com
thefreedictionary.com
thegrio.com
thehill.com
thehollywoodgossip.com
thekitchn.com
theonion.com
thepiratebay.org
thepostgame.com
therisinghollywood.com
thesaurus.com
theslingshot.com
theverge.com
thinkquest.org
thirdage.com
ticketmaster.com
tigerdirect.com
time.com
timeanddate.com
timeinc.com
tmz.com
tomshardware.com
topix.com
toptenreviews.com
toshiba.com
totalbeauty.com
totalrecipesearch.com
totalrewards.com
townhall.com
toysrus.com
tracfone.com
tracfonewireless.com
trafficforce.com
traileraddict.com
translateye.com
travel-ticker.com
travelocity.com
travelzoo.com
tributes.com
tripadvisor.com
tripod.com
trove.com
trulia.com
tumblr.com
tunein.com
turbotax.com
turner.com
tv.com
tvguide.com
twitlonger.com
twitpic.com
twitter.com
twitvid.com
typepad.com
ucomparehealthcare.com
ultimate-guitar.com
umn.edu
uncoverthenet.com
ups.com
urbandictionary.com
urbanspoon.com
usaa.com
usajobs.gov
usatoday.com
usbank.com
usbuildingdigest.com
usda.gov
use.com
usgs.gov
usmagazine.com
usnews.com
usps.com
usps.gov
ussearch.com
ustream.tv
utorrent.com
va.gov
vanguard.com
vast.com
vatican.va
verizon.com
verizon.net
vh1.com
victoriassecret.com
videobash.com
videosurf.com
vimeo.com
virginia.gov
virginmobileusa.com
vistaprint.com
vitals.com
vrbo.com
vs4food.com
wa.gov
wahoha.com
walgreens.com
walmart.com
walmartbenefits.com
warnerbros.com
washingtonpost.com
washingtontimes.com
wattpad.com
wayfair.com
weather.com
weather.gov
weatherblink.com
weatherbug.com
webmd.com
webs.com
webshots.com
weddingwire.com
wedoapps.net
weebly.com
weeklystandard.com
weheartit.com
weightwatchers.com
wellhabits.com
wellness.com
wellsfargo.com
wetpaint.com
whathappenedinmybirthyear.com
whitehouse.gov
whitepages.com
whosdatedwho.com
wikia.com
wikihow.com
wikimedia.org
wikipedia.org
wiktionary.org
wildtangent.com
wimp.com
windows.com
winportal.com
wired.com
wisegeek.com
wix.com
wn.com
wnd.com
womensforum.com
womenshealthbase.com
woot.com
wordpress.com
worthpoint.com
wowhead.com
wsj.com
wunderground.com
wwe.com
xbox.com
yahoo.com
yardbarker.com
yellowbook.com
yellowpages.com
yelp.com
yfrog.com
yidio.com
ymail.com
yourfinancialassistance.com
youtube.com
yuku.com
zap2it.com
zappos.com
zazzle.com
zillow.com
zimbio.com
zmags.com
zoosk.com
zvents.com
zynga.com
";

$wp_nr_sitelist = array_filter(explode("\n", get_option('wp_nr_sitelist')));
if($wp_nr_sitelist=='')$wp_nr_sitelist = $wp_nr_initial;

// create custom plugin settings menu
add_action('admin_menu', 'wp_nr_create_menu');

function wp_nr_create_menu() {

	//create new top-level menu
	add_menu_page('Nofollow Reciprocity Plugin Settings', 'Nofollow Reciprocity', 'administrator', __FILE__, 'wp_nr_settings_page');

	//call register settings function
	add_action( 'admin_init', 'register_wp_nr_mysettings' );
}


function register_wp_nr_mysettings() {
	//register our settings
	register_setting( 'wp-nr-settings-group', 'wp_nr_content' );
	register_setting( 'wp-nr-settings-group', 'wp_nr_comments' );
	register_setting( 'wp-nr-settings-group', 'wp_nr_authors' );
	register_setting( 'wp-nr-settings-group', 'wp_nr_awareness' );
	register_setting( 'wp-nr-settings-group', 'wp_nr_nf_a' );
	register_setting( 'wp-nr-settings-group', 'wp_nr_nf_t' );
	register_setting( 'wp-nr-settings-group', 'wp_nr_sitelist' );
}

function wp_nr_settings_page() {
	global $wp_nr_footer_link, $wp_nr_nf_a, $wp_nr_nf_t, $wp_nr_sitelist, $wp_nr_initial;
	$wp_nr_nf_a_checked = ' ';
	$wp_nr_content_checked = ' ';
	$wp_nr_comments_checked = ' ';
	$wp_nr_authors_checked = ' ';
	$wp_nr_awareness_checked = ' ';
	if(get_option('wp_nr_nf_a'))$wp_nr_nf_a_checked = ' checked="checked"';
	$wp_nr_nf_t = get_option('wp_nr_nf_t');
	if($wp_nr_nf_t=='')$wp_nr_nf_t = 'Improve the web with Nofollow Reciprocity.';
	if(get_option('wp_nr_content'))$wp_nr_content_checked = ' checked="checked"';
	if(get_option('wp_nr_comments'))$wp_nr_comments_checked = ' checked="checked"';
	if(get_option('wp_nr_authors'))$wp_nr_authors_checked = ' checked="checked"';
	if(get_option('wp_nr_awareness'))$wp_nr_awareness_checked = ' checked="checked"';
?>
<div class="wrap">
<h2>Nofollow Reciprocity Plugin</h2>

<form method="post" action="options.php">
    <?php settings_fields( 'wp-nr-settings-group' ); ?>
    <table class="form-table">
        <tr valign="top">
        <th scope="row">INSTRUCTIONS</th>
        <td><p>The purpose of this plugin is to rank higher in search engines by decreasing the link juice flowing towards the big sites because practically all of them decided to do the same to small sites several years ago. The more people use this plugin, the more chance there will be for them to rank higher on search engines. </p></td>
        </tr>

        <tr valign="top">
        <th scope="row">Apply to posts:</th>
        <td><input type="checkbox" name="wp_nr_content" id="wp_nr_content" value="1" <?php echo $wp_nr_content_checked; ?> /></td>
        </tr>
         
        <tr valign="top">
        <th scope="row">Apply to comments:</th>
        <td><input type="checkbox" name="wp_nr_comments" id="wp_nr_comments" value="1" <?php echo $wp_nr_comments_checked; ?> /></td>
        </tr>

        <tr valign="top">
        <th scope="row">Apply to authors' links:</th>
        <td><input type="checkbox" name="wp_nr_authors" id="wp_nr_authors" value="1" <?php echo $wp_nr_authors_checked; ?> /></td>
        </tr>
        
        <tr valign="top">
        <th scope="row">List of sites to nofollow</th>
        <td><textarea name="wp_nr_sitelist" rows="5" cols="30" ><?php if(get_option('wp_nr_sitelist'))echo get_option('wp_nr_sitelist'); else echo $wp_nr_initial; ?></textarea></td>
        </tr>

        <tr valign="top">
        <th scope="row">Spread the word:</th>
        <td><input type="checkbox" name="wp_nr_awareness" id="wp_nr_awareness" value="1" <?php echo $wp_nr_awareness_checked; ?> onclick="document.getElementById('showlink').style.visibility = this.checked ? 'visible' : 'hidden'" />

<?php
	if(get_option('wp_nr_awareness')){$wp_nr_footer_link = 1;$visible = '';}
	else {$wp_nr_footer_link = 0;$visible = ' style="visibility:hidden;"';}
	echo '<div id="showlink"'.$visible.'>';
// $wp_nr_footer_link, $wp_nr_nf_a, $wp_nr_nf_t

?>
        Nofollow Reciprocity awareness text: 
	<input type="text" name="wp_nr_nf_t" id="wp_nr_nf_t" size="40" value="<?php echo get_option('wp_nr_nf_t'); ?>" />
        Use nofollow on awareness link: 
        <input type="checkbox" name="wp_nr_nf_a" id="wp_nr_nf_a" value="1" <?php echo $wp_nr_nf_a_checked; ?> />
<br />
Q: What bennefit do I have from spreading the word? 
<br />
A: Like mentioned in few other places, Wordpress uses more than 15% of the sites. The more users use nofollow towards big sites, the more chance small sites will have in ranking higher in search engines.
	</div>
	</td>
        </tr>
      </table>
    
    <p class="submit">
    <input type="submit" class="button-primary" value="<?php _e('Save Changes') ?>" />
    </p>

</form>
</div>
<?php }


function wp_get_domain_name_from_uri($url){
//	preg_match("/^(http:\/\/)?([^\/]+)/i", $uri, $matches);
//	$host = $matches[2];
//	preg_match("/[^\.\/]+\.[^\.\/]+$/", $host, $matches);
//	return $matches[0];	   
	if(@stristr($url,'http')!=$url)$url = 'http://'.$url;
	if(substr_count($url,'/')<3)$url .= '/';	
	$domain = substr($url,strpos($url,'//')+2,(strpos($url,'/',10)-strpos($url,'//')-2));
	$domain_elements = explode('.',$domain);
	array_pop($domain_elements); //the last element is never the value you want
	$domainname = array_pop($domain_elements);
	if($domainname == "co") $domainname = array_pop($domain_elements);
	$domain = strtolower(@stristr($domain,$domainname));
	return $domain;
}

function wp_has_no_rel_nofollow($text)
{
	if ( preg_match("/rel=[\"\'].*?nofollow.*?[\"\']/i", $text ) )
		return false;
	else
		return true;
}

function wp_inarray($needle, $array, $searchKey = false)
{
   if ($searchKey) {
       foreach ($array as $key => $value)
           if (@stristr($key, $needle)) {return $key;}
       }
   else {
       foreach ($array as $value)
           if (@stristr($value, $needle)) {return $value;}
       }
   return '';
}

function parse_nofollow_reciprocity($matches)
{	global $wp_nr_sitelist;
	//add in next line's array sites that you think do not deserve credit because they don't give it to other sites.
	if ( 	wp_inarray(wp_get_domain_name_from_uri($matches[3]), $wp_nr_sitelist) &&
		  wp_has_no_rel_nofollow( $matches[1] ) &&
		  wp_has_no_rel_nofollow( $matches[4] ) )
	{
		return '<a rel="nofollow" href="' . $matches[2] . '//' . $matches[3] . '" ' . $matches[1] . $matches[4] . '>' . $matches[5] . '</a>';
	}
	else
	{
		// Do nothing
		return '<a href="' . $matches[2] . '//' . $matches[3] . '" ' . $matches[1] . $matches[4] . '>' . $matches[5] . '</a>';
	}
}
	

function wp_nofollow_reciprocity($text) 
{
	$pattern = '/<a (.*?)href=[\"\'](.*?)\/\/(.*?)[\"\'](.*?)>(.*?)<\/a>/i';
	$text = preg_replace_callback($pattern,'parse_nofollow_reciprocity',$text);
	return $text;
}

// filters have high priority to make sure that any markup plugins like Textile or Markdown have already created the HTML links
if($wp_nr_content){
	add_filter('the_content', 'wp_nofollow_reciprocity', 10);
	add_filter('the_excerpt', 'wp_nofollow_reciprocity', 10);
}
// delete this one if you don't want it run on comments
if($wp_nr_comments)add_filter('comment_text', 'wp_nofollow_reciprocity', 10);

if($wp_nr_authors)add_filter('get_comment_author_link', 'wp_nofollow_reciprocity', 10);

function wp_nofollow_reciprocity_awareness() {
	global $wp_nr_footer_link, $wp_nr_nf_a, $wp_nr_nf_t;
	if($wp_nr_footer_link)echo ("<div style=\"clear:both;\"><a $wp_nr_nf_a href=\"http://www.inverudio.com/programs/WordPressBlog/NofollowReciprocity.php\">$wp_nr_nf_t</a></div>");
}
if(function_exists('get_footer'))add_filter('get_footer', 'wp_nofollow_reciprocity_awareness',10);
else add_action('wp_footer', 'wp_nofollow_reciprocity_awareness',10);

?>